; Car scm macro
; Author: Tim Dickens
; Parameters:
; 1 = lat
; 2 = lon
; 3 = rotation
; 4 = scale: recommend .09
; 5 = color of car
; 6 = scenery complexity
Area(  5 %1 %2 8 )
mif( %6  )
IfVarRange(  :  0346  %6  4  ) 
mifend
PerspectiveCall( :D0  )
        ShadowCall( :D1  )
        Jump(  :  )              
:D0
Perspective
:D1
        RefPoint(  7  :D3  %4 %1 %2 v1= 20000 v2= 100 )
        RotatedCall(  :D2 0 0 %3 ) 
:D3
Return
:D2
        
       VecPoints( a 0      
       -10      3       -30      ; 0
       -10      4       -33      ; 1
       -10     10       -33      ; 2
       -10     14       -15      ; 3
       -10     22       -05      ; 4
       -10     21        28      ; 5
       -10     13        33      ; 6
       -10     04        33      ; 7
       -10     03        30      ; 8
        )
        
       VecPoints( a 10    
        10      3       -30      ; 10
        10      4       -33      ; 11
        10     10       -33      ; 12
        10     14       -15      ; 13
        10     22       -05      ; 14
        10     21        27      ; 15
        10     13        33      ; 16
        10     04        33      ; 17
        10     03        30      ; 18
        )
        
       VecPoints( a 21    
       -10     14       -14      ; 21
       -10     21       -05      ; 22
       -10     21        05      ; 23
       -10     14        05      ; 24
        )
        
       VecPoints( a 31    
        10     14       -14      ; 31
        10     21       -05      ; 32
        10     21        05      ; 33
        10     14        05      ; 34
        )
       
       Points( 41    
       -10     00       -25      ; 41
       -10     02       -21      ; 42
       -10     08       -21      ; 43
       -10     10       -25      ; 44
       -10     08       -29      ; 45
       -10     02       -29      ; 46
        )
       
       Points( 51     
       -10     00        25      ; 51
       -10     02        21      ; 52
       -10     08        21      ; 53
       -10     10        25      ; 54
       -10     08        29      ; 55
       -10     02        29      ; 56
        )
       
       Points( 61    
        10     00       -25      ; 61
        10     02       -21      ; 62
        10     08       -21      ; 63
        10     10       -25      ; 64
        10     08       -29      ; 65
        10     02       -29      ; 66
        )
       
       Points( 71     
        10     00        25      ; 71
        10     02        21      ; 72
        10     08        21      ; 73
        10     10        25      ; 74
        10     08        29      ; 75
        10     02        29      ; 76
        )
        
       Points( 81     
        -10     15       -14      ; 81
        -10     21       -06      ; 82
         10     21       -06      ; 83
         10     15       -14      ; 84
        )
        
       Points( 91     
       -08      6       -33      ; 91
       -08      8       -33      ; 92
       -04      8       -33      ; 91
       -04      6       -33      ; 92
        04      6       -33      ; 91
        04      8       -33      ; 92
        08      8       -33      ; 91
        08      6       -33      ; 92
       )
       
       Points( 101      
       -09     10        33      ; 101
       -09     07        33      ; 102
       -07     07        33      ; 103
       -07     10        33      ; 104
        07     10        33      ; 105
        07     07        33      ; 106
        09     07        33      ; 107
        09     10        33      ; 108

       )
   
        ShadedColor(  %5 f0  )  
        ShadedPoly(  au 2 3 13 12 )        
        SurfaceColor(  %5 f0  )  
        ConcavePoly
        Poly(  a  0 1 2 3 4 5 6 7 8 )        
        SurfaceColor(  02 f0 )  
        Poly(  a 21 22 23 24 )        
	  SurfaceColor(  00 f0 )  
        Poly(  a 41 42 43 44 45 46 )  
        SurfaceColor(  00 f0 )  
        Poly(  a 51 52 53 54 55 56 )       
        SurfaceColor(  %5 f0  )  
        ConcavePoly
        Poly(  a  10 11 12 13 14 15 16 17 18 )        
        SurfaceColor(  02 f0 )  
        Poly(  a 31 32 33 34 )        
        SurfaceColor(  00 f0 )  
        Poly(  a 61 62 63 64 65 66 )  
        SurfaceColor(  00 f0 )  
        Poly(  a 71 72 73 74 75 76 )  
        ShadedColor(  %5 f0  )  
        ShadedPoly(  au 4 5 15 14 )        
        ShadedColor(  %5 f0  )  
        ShadedPoly(  a 6 7 17 16 )        
        ShadedColor(  05 f0  )  
        ShadedPoly(  a 101 102 103 104 )  
        ShadedColor(  05 f0  )  
        ShadedPoly(  a 105 106 107 108 )  
        ShadedColor(  %5 f0  )  
        ShadedPoly(  a 1 2 12 11 )        
        ShadedColor(  03 f0  )  
        ShadedPoly(  a 91 92 93 94 )      
        ShadedColor(  03 f0  )  
        ShadedPoly(  a 95 96 97 98 )      
        SurfaceColor(  %5 f0  )  
        Poly(  a 3 4 14 13 )        
        SurfaceColor(  02 f0  )  
        Poly(  a  81 82 83 84 )            
        SurfaceColor(  02 f0  )  
        Poly(  a 6 5 15 16 )        


        Return                  

EndA

